Package net.shibboleth.idp.authn

# Class AuthnEventIds

java.lang.Object
net.shibboleth.idp.authn.AuthnEventIds

public final class AuthnEventIds extends Object
Constants to use for `ProfileAction` `EventContext` results related to authentication and subject c14n.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ACCOUNT_ERROR`
ID of event returned if the subject's account is in an invalid state.
`static final String`
`ACCOUNT_LOCKED`
ID of event returned if the subject's account is locked.
`static final String`
`ACCOUNT_WARNING`
ID of event returned if the subject's account has non-fatal but potentially useful state to report.
`static final String`
`AUTHN_EXCEPTION`
ID of event returned if authentication throws an exception unrelated to credential validation.
`static final String`
`IDENTITY_SWITCH`
ID of event returned if an authenticated subject doesn't match the identity in an existing session.
`static final String`
`INVALID_AUTHN_CTX`
ID of event returned if the `AuthenticationContext` is missing or invalid.
`static final String`
`INVALID_CREDENTIALS`
ID of event returned if the given credentials are invalid.
`static final String`
`INVALID_SUBJECT`
ID of event returned if a Subject cannot be canonicalized.
`static final String`
`INVALID_SUBJECT_C14N_CTX`
ID of event returned if the `SubjectCanonicalizationContext` is missing or invalid.
`static final String`
`NO_CREDENTIALS`
ID of event returned if there are no credentials available in the request.
`static final String`
`NO_PASSIVE`
ID of the event returned if passive authentication isn't possible.
`static final String`
`NO_POTENTIAL_FLOW`
ID of event returned if there are no flows that could be used for authentication or c14n.
`static final String`
`PROXY_COUNT_EXCEEDED`
ID of event returned if proxying is disallowed.
`static final String`
`REQUEST_UNSUPPORTED`
ID of event returned if the request's authentication requirements can't be met by an action or flow.
`static final String`
`RESELECT_FLOW`
ID of event returned if a flow wishes to indicate that another flow should be selected instead.
`static final String`
`RESTART_AUTHN`
ID of event returned if the authentication process should be restarted from scratch.
`static final String`
`SUBJECT_C14N_COMPLETED`
ID of event returned to signal the completion of subject c14n.
`static final String`
`SUBJECT_C14N_ERROR`
ID of event returned if an error occurs canonicalizing a Subject.
`static final String`
`UNKNOWN_USERNAME`
ID of event returned if a username is unknown.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`AuthnEventIds()`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INVALID_AUTHN_CTX

@Nonnull @NotEmpty public static final String INVALID_AUTHN_CTX
ID of event returned if the `AuthenticationContext` is missing or invalid.

See Also:
  - Constant Field Values

### NO_POTENTIAL_FLOW

@Nonnull @NotEmpty public static final String NO_POTENTIAL_FLOW
ID of event returned if there are no flows that could be used for authentication or c14n.

See Also:
  - Constant Field Values

### NO_PASSIVE

@Nonnull @NotEmpty public static final String NO_PASSIVE
ID of the event returned if passive authentication isn't possible.

See Also:
  - Constant Field Values

### REQUEST_UNSUPPORTED

@Nonnull @NotEmpty public static final String REQUEST_UNSUPPORTED
ID of event returned if the request's authentication requirements can't be met by an action or flow.

See Also:
  - Constant Field Values

### NO_CREDENTIALS

@Nonnull @NotEmpty public static final String NO_CREDENTIALS
ID of event returned if there are no credentials available in the request.

See Also:
  - Constant Field Values

### UNKNOWN_USERNAME

@Nonnull @NotEmpty public static final String UNKNOWN_USERNAME
ID of event returned if a username is unknown.

See Also:
  - Constant Field Values

### INVALID_CREDENTIALS

@Nonnull @NotEmpty public static final String INVALID_CREDENTIALS
ID of event returned if the given credentials are invalid.

See Also:
  - Constant Field Values

### ACCOUNT_LOCKED

@Nonnull @NotEmpty public static final String ACCOUNT_LOCKED
ID of event returned if the subject's account is locked.

See Also:
  - Constant Field Values

### ACCOUNT_ERROR

@Nonnull @NotEmpty public static final String ACCOUNT_ERROR
ID of event returned if the subject's account is in an invalid state.

See Also:
  - Constant Field Values

### ACCOUNT_WARNING

@Nonnull @NotEmpty public static final String ACCOUNT_WARNING
ID of event returned if the subject's account has non-fatal but potentially useful state to report.

See Also:
  - Constant Field Values

### RESELECT_FLOW

@Nonnull @NotEmpty public static final String RESELECT_FLOW
ID of event returned if a flow wishes to indicate that another flow should be selected instead.

See Also:
  - Constant Field Values

### RESTART_AUTHN

@Nonnull @NotEmpty public static final String RESTART_AUTHN
ID of event returned if the authentication process should be restarted from scratch.

See Also:
  - Constant Field Values

### INVALID_SUBJECT_C14N_CTX

@Nonnull @NotEmpty public static final String INVALID_SUBJECT_C14N_CTX
ID of event returned if the `SubjectCanonicalizationContext` is missing or invalid.

See Also:
  - Constant Field Values

### INVALID_SUBJECT

@Nonnull @NotEmpty public static final String INVALID_SUBJECT
ID of event returned if a Subject cannot be canonicalized.

See Also:
  - Constant Field Values

### SUBJECT_C14N_ERROR

@Nonnull @NotEmpty public static final String SUBJECT_C14N_ERROR
ID of event returned if an error occurs canonicalizing a Subject.

See Also:
  - Constant Field Values

### SUBJECT_C14N_COMPLETED

@Nonnull @NotEmpty public static final String SUBJECT_C14N_COMPLETED
ID of event returned to signal the completion of subject c14n.

See Also:
  - Constant Field Values

### IDENTITY_SWITCH

@Nonnull @NotEmpty public static final String IDENTITY_SWITCH
ID of event returned if an authenticated subject doesn't match the identity in an existing session.

See Also:
  - Constant Field Values

### PROXY_COUNT_EXCEEDED

@Nonnull @NotEmpty public static final String PROXY_COUNT_EXCEEDED
ID of event returned if proxying is disallowed.

See Also:
  - Constant Field Values

### AUTHN_EXCEPTION

@Nonnull @NotEmpty public static final String AUTHN_EXCEPTION
ID of event returned if authentication throws an exception unrelated to credential validation.

See Also:
  - Constant Field Values

## Constructor Details

### AuthnEventIds

private AuthnEventIds()
Constructor.